﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="SpellcheckSample.aspx.cs" Inherits="SpellcheckSample" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server" />
        <div>
            <telerik:RadSpell runat="server" ID="RadSpell1" />
            <telerik:RadGrid ID="RadGridBillTemplateLines" GridLines="None"
                runat="server" Width="100%" CellSpacing="0"
                AutoGenerateColumns="False" AllowMultiRowEdit="True"
                Height="280px"
                OnDataBound="RadGridBillTemplateLines_DataBound">
                <FilterMenu EnableImageSprites="False" />
                <ClientSettings>
                    <Scrolling AllowScroll="True" UseStaticHeaders="True" />
                </ClientSettings>
                <MasterTableView CommandItemDisplay="Top" EditMode="InPlace" ShowFooter="true">
                    <CommandItemSettings ExportToPdfText="Export to PDF" />
                    <RowIndicatorColumn FilterControlAltText="Filter RowIndicator column" Visible="True" />
                    <ExpandCollapseColumn FilterControlAltText="Filter ExpandColumn column" Visible="True" />
                    <Columns>
                        <telerik:GridTemplateColumn FilterControlAltText="Filter BillDescription column" UniqueName="BillDescription" HeaderText="Bill Description">
                            <EditItemTemplate>
                                <telerik:RadTextBox ID="BillDescriptionTextBox" runat="server" Width="100%" Text='Test' MaxLength="100"></telerik:RadTextBox>
                            </EditItemTemplate>
                            <ItemTemplate>
                                <telerik:RadTextBox ID="BillDescriptionTextBox" runat="server" Width="100%" Text='Test2' MaxLength="100"></telerik:RadTextBox>
                            </ItemTemplate>
                            <HeaderStyle Width="75%" />
                            <ItemStyle Width="75%" />
                        </telerik:GridTemplateColumn>
                        <telerik:GridCheckBoxColumn DataField="HasAmount" DataType="System.Boolean" FilterControlAltText="Filter HasAmount column"
                            HeaderText="Has Amount" SortExpression="HasAmount" UniqueName="HasAmount">
                        </telerik:GridCheckBoxColumn>
                        <telerik:GridCheckBoxColumn DataField="ExcludeRealization" DataType="System.Boolean" FilterControlAltText="Filter ExcludeRealization column"
                            HeaderText="Exclude Realization" SortExpression="ExcludeRealization" UniqueName="ExcludeRealization">
                        </telerik:GridCheckBoxColumn>
                        <telerik:GridTemplateColumn
                            Groupable="False" UniqueName="EditCommandColumn">
                            <FooterTemplate>
                                <telerik:RadButton Width="80px" runat="server" ID="SaveAllRadButton" ButtonType="LinkButton" BackColor="#efefef"
                                    CommandName="UpdateEdited" ToolTip="Save All Records" Text="" BorderStyle="None">
                                    <Icon PrimaryIconUrl="~/images/Save_16x16.png" PrimaryIconHeight="16" PrimaryIconWidth="16" />
                                </telerik:RadButton>
                            </FooterTemplate>
                            <ItemTemplate>
                                <telerik:RadButton runat="server" ID="DeleteRadButton" ButtonType="LinkButton" ToolTip="Delete BillTemplateLine"
                                    BorderStyle="None" CommandName="Delete" 
                                    Visible="true">
                                    <Icon PrimaryIconUrl="~/images/delete.png" PrimaryIconHeight="16" PrimaryIconWidth="16" />
                                </telerik:RadButton>
                            </ItemTemplate>
                            <EditItemTemplate>
                                <telerik:RadButton runat="server" ID="DeleteRadButton" ButtonType="LinkButton" ToolTip="Delete BillTemplateLine"
                                    BorderStyle="None" CommandName="Delete"
                                    Visible="true">
                                    <Icon PrimaryIconUrl="~/images/delete.png" PrimaryIconHeight="16" PrimaryIconWidth="16" />
                                </telerik:RadButton>
                            </EditItemTemplate>
                            <HeaderStyle Width="5%" />
                            <ItemStyle Width="5%" HorizontalAlign="Right" VerticalAlign="Top" />
                        </telerik:GridTemplateColumn>
                    </Columns>
                    <EditFormSettings>
                        <EditColumn FilterControlAltText="Filter EditCommandColumn column" />
                    </EditFormSettings>

                    <CommandItemTemplate>
                        <table border="0" style="width: 100%" class="rgCommandTable">
                            <tr>
                                <td align="left">
                                    <telerik:RadButton runat="server" ID="AddRadButton" ButtonType="LinkButton" ToolTip="Add New BillTemplateLine"
                                        Visible="true" AutoPostBack="true"
                                        Text="Add Bill Template Line" BackColor="#dedbde" BorderStyle="Solid">
                                        <Icon PrimaryIconUrl="~/images/add_16x16.png" PrimaryIconHeight="16" PrimaryIconWidth="16" />
                                    </telerik:RadButton>
                                    <telerik:RadButton Width="80px" runat="server" ID="SaveAllRadButton" ButtonType="LinkButton" BackColor="#dedbde"
                                        CommandName="UpdateEdited" ToolTip="Save All Records" Text="Save All" BorderStyle="Solid">
                                        <Icon PrimaryIconUrl="~/images/Save_16x16.png" PrimaryIconHeight="16" PrimaryIconWidth="16" />
                                    </telerik:RadButton>
                                    <telerik:RadButton Width="80px" runat="server" ID="SpellCheckRadButton" ButtonType="LinkButton" BackColor="#dedbde"
                                        ToolTip="Spell Check" Text="Spell Check" BorderStyle="Solid">
                                        <Icon PrimaryIconUrl="~/images/Save_16x16.png" PrimaryIconHeight="16" PrimaryIconWidth="16" />
                                    </telerik:RadButton>
                                </td>
                                <td align="right">
                                    <asp:Button CommandName="RebindGrid" runat="server" ID="btnRefresh" Text=" " title="Refresh"
                                        CssClass="rgRefresh" Visible="true" />
                                    <asp:LinkButton ID="lnkbRefresh" CommandName="RebindGrid" runat="server" Visible="true">Refresh</asp:LinkButton>
                                </td>
                            </tr>
                        </table>
                    </CommandItemTemplate>
                </MasterTableView>
            </telerik:RadGrid>

        </div>
    </form>
</body>
</html>
