﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class SpellcheckSample : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadGridBillTemplateLines.DataSource = new string[5];
            RadGridBillTemplateLines.DataBind();
        }
    }


    protected void RadGridBillTemplateLines_DataBound(object sender, EventArgs e)
    {

        int index = 0;
        Stack controlsToCheck = new Stack();
        foreach (GridDataItem item in RadGridBillTemplateLines.Items)
        {
            if (item is GridEditableItem)
            {
                GridDataItem descriptionITem = (GridDataItem)item;
                RadTextBox radDescription = (RadTextBox)descriptionITem["BillDescription"].Controls[1];
                controlsToCheck.Push(radDescription.ClientID);
                index++;
            }
        }

        RadSpell1.ControlsToCheck = new string[index];
        while (controlsToCheck.Count > 0)
        {
            RadSpell1.ControlsToCheck.SetValue(controlsToCheck.Pop(), controlsToCheck.Count);
        }
        RadSpell1.IsClientID = true;

    }

}